Watch, Follow, &
Connect with Us

For forums, blogs and more please visit our
Developer Tools Community.


ID: 28407, Delphi PHP or RadPHP does not work with IBM DB2

by masato oishi Email: Anonymous


When I use Delphi for PHP 2.0 or RadPHP XE with DB2 express-C,
it does not work. The error message is "Warning: The old ODBC based DB2 driver has been renamed 'odbc_db2'. This ADOdb driver calls PHP's native db2 extension."
Download Details
FTP  download also available 0 bytes
CDN Login Required to Download. (You will be redirected to the login page if you click on the Download Link)
To download this, you must have registered:
A free membership

For HTML5 Builder, Version 2.0  to 3.0 0 downloads
Copyright: No significant restrictions


Size: 0 bytes
Updated on Mon, 08 Aug 2011 06:20:37 GMT
Originally uploaded on Mon, 08 Aug 2011 06:20:37 GMT
Description
I am Delphi for PHP 2.0 user (with update2). I have installed IBM DB2 express-C edition (V9.7). I can see sample database via Delphi for PHP IDE data explore. After I drop employee table from data explore and just excute RUN, but the error message "Warning: The old ODBC based DB2 driver has been renamed 'odbc_db2'. This ADOdb driver calls PHP's native db2 extension." is displayed on the browser.
I have tried to install RadPHP XE (trial version), but situation is same.

-----------------------------------------------------------------

Solved.

Change the php.ini.template file.(adding one line)
C:\Program Files (x86)\Embarcadero\RadPHP\3.0\php\php.ini.template

extension=php_ibm_db2.dll

Download php_ibm_db2.dll from
https://www.ibm.com/developerworks/wikis/display/data/DB2+Web+Applications+using+PHP

Copy it to
C:\Program Files (x86)\Embarcadero\RadPHP\3.0\php\ext

Server Response from: ETNACDC03